Page MenuHomePhabricator

[Genderize] /wiki/Special:RecentChanges Error from line 40 of extensions/Genderize/Genderize.class.php: Call to a member function getPrefixedText() on null
Closed, DeclinedPublic

Description

With Genderize installed, when heading to Special:RecentChanges it shows:

[3b0a175faa29bf2a35d78bb3] /wiki/Special:RecentChanges Error from line 40 of extensions/Genderize/Genderize.class.php: Call to a member function getPrefixedText() on null

Backtrace:

#0 includes/Hooks.php(174): Genderize::onLinkBegin(DummyLinker, Title, string, array, array, array, NULL)
#1 includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#2 includes/linker/LinkRenderer.php(207): Hooks::run(string, array)
#3 includes/linker/LinkRenderer.php(186): MediaWiki\Linker\LinkRenderer->runLegacyBeginHook(Title, HtmlArmor, array, array, boolean)
#4 includes/linker/LinkRenderer.php(313): MediaWiki\Linker\LinkRenderer->runBeginHook(Title, HtmlArmor, array, array, boolean)
#5 includes/linker/LinkRenderer.php(151): MediaWiki\Linker\LinkRenderer->makeBrokenLink(Title, HtmlArmor, array, array)
#6 includes/Linker.php(147): MediaWiki\Linker\LinkRenderer->makeLink(Title, HtmlArmor, array, array)
#7 includes/Linker.php(914): Linker::link(Title, string, array)
#8 includes/changes/RCCacheEntryFactory.php(283): Linker::userLink(integer, string, string)
#9 includes/changes/RCCacheEntryFactory.php(80): RCCacheEntryFactory->getUserLink(RCCacheEntry)
#10 includes/changes/EnhancedChangesList.php(119): RCCacheEntryFactory->newFromRecentChange(RecentChange, boolean)
#11 includes/specials/SpecialRecentchanges.php(452): EnhancedChangesList->recentChangesLine(RecentChange, boolean, integer)
#12 includes/specialpage/ChangesListSpecialPage.php(1604): SpecialRecentChanges->outputChangesList(Wikimedia\Rdbms\ResultWrapper, FormOptions)
#13 includes/specialpage/ChangesListSpecialPage.php(669): ChangesListSpecialPage->webOutput(Wikimedia\Rdbms\ResultWrapper, FormOptions)
#14 includes/specials/SpecialRecentchanges.php(166): ChangesListSpecialPage->execute(NULL)
#15 includes/specialpage/SpecialPage.php(522): SpecialRecentChanges->execute(NULL)
#16 includes/specialpage/SpecialPageFactory.php(569): SpecialPage->run(NULL)
#17 includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#18 includes/MediaWiki.php(863): MediaWiki->performRequest()
#19 includes/MediaWiki.php(524): MediaWiki->main()
#20 index.php(42): MediaWiki->run()
#21 {main}

Event Timeline

hashar created this task.May 29 2018, 3:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 3:17 PM

Based on https://wikiapiary.com/wiki/Extension:Genderize it is used on a single wiki which is no more available. So I guess the extension should just be archived.

hashar closed this task as Declined.May 31 2018, 8:13 PM

Will be archived T196108

Vvjjkkii renamed this task from [Genderize] /wiki/Special:RecentChanges Error from line 40 of extensions/Genderize/Genderize.class.php: Call to a member function getPrefixedText() on null to o2baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from o2baaaaaaa to [Genderize] /wiki/Special:RecentChanges Error from line 40 of extensions/Genderize/Genderize.class.php: Call to a member function getPrefixedText() on null.Jul 2 2018, 3:24 PM
CommunityTechBot closed this task as Declined.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.